Package org.eclipse.birt.chart.model.attribute

# Enum VerticalAlignment

java.lang.Object
java.lang.Enum<VerticalAlignment>
org.eclipse.birt.chart.model.attribute.VerticalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalAlignment>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum VerticalAlignment extends Enum<VerticalAlignment> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Vertical Alignment', and utility methods for working with them. This type defines the allowed values for Vertical Text alignment.

See Also:
  - `AttributePackage.getVerticalAlignment()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTTOM_LITERAL`
The 'Bottom' literal object.
`CENTER_LITERAL`
The 'Center' literal object.
`TOP_LITERAL`
The 'Top' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BOTTOM`
The 'Bottom' literal value.
`static final int`
`CENTER`
The 'Center' literal value.
`static final int`
`TOP`
The 'Top' literal value.
`static final List<VerticalAlignment>`
`VALUES`
A public read-only list of all the 'Vertical Alignment' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static VerticalAlignment`
`get(int value)`
Returns the 'Vertical Alignment' literal with the specified integer value.
`static VerticalAlignment`
`get(String literal)`
Returns the 'Vertical Alignment' literal with the specified literal value.
`static VerticalAlignment`
`getByName(String name)`
Returns the 'Vertical Alignment' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static VerticalAlignment`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VerticalAlignment[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP_LITERAL

public static final VerticalAlignment TOP_LITERAL
The 'Top' literal object.

If the meaning of 'Top' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TOP`

### CENTER_LITERAL

public static final VerticalAlignment CENTER_LITERAL
The 'Center' literal object.

If the meaning of 'Center' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CENTER`

### BOTTOM_LITERAL

public static final VerticalAlignment BOTTOM_LITERAL
The 'Bottom' literal object.

If the meaning of 'Bottom' literal object isn't clear, there really should be more of a description here...

See Also:
  - `BOTTOM`

## Field Details

### TOP

public static final int TOP
The 'Top' literal value.

See Also:
  - `TOP_LITERAL`
  - Constant Field Values

### CENTER

public static final int CENTER
The 'Center' literal value.

See Also:
  - `CENTER_LITERAL`
  - Constant Field Values

### BOTTOM

public static final int BOTTOM
The 'Bottom' literal value.

See Also:
  - `BOTTOM_LITERAL`
  - Constant Field Values

### VALUES

public static final List<VerticalAlignment> VALUES
A public read-only list of all the 'Vertical Alignment' enumerators.

## Method Details

### values

public static VerticalAlignment[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static VerticalAlignment valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static VerticalAlignment get(String literal)
Returns the 'Vertical Alignment' literal with the specified literal value.

### getByName

public static VerticalAlignment getByName(String name)
Returns the 'Vertical Alignment' literal with the specified name.

### get

public static VerticalAlignment get(int value)
Returns the 'Vertical Alignment' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<VerticalAlignment>`